diff --git a/configure b/configure
index c22ed38..c2f0e67 100755
--- a/configure
+++ b/configure
@@ -5347,10 +5347,6 @@ if test "x$AUTOCONF" = xno; then
   aux_missing="$aux_missing autoconf"
 fi
 
-test -n "$critic_missing" && as_fn_error $? "
-*** These critical programs are missing or too old:$critic_missing
-*** Check the INSTALL file for required versions." "$LINENO" 5
-
 test -n "$aux_missing" && { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING:
 *** These auxiliary programs are missing or incompatible versions:$aux_missing
 *** some features will be disabled.
diff --git a/nptl/sysdeps/x86_64/tls.h b/nptl/sysdeps/x86_64/tls.h
index 95e022b..2706036 100644
--- a/nptl/sysdeps/x86_64/tls.h
+++ b/nptl/sysdeps/x86_64/tls.h
@@ -259,7 +259,7 @@ typedef struct
 		       "i" (offsetof (struct pthread, member)));	      \
      else if (sizeof (descr->member) == 4)				      \
        asm volatile ("movl %0,%%fs:%P1" :				      \
-		     : IMM_MODE (value),				      \
+		     : "er" (value),				      \
 		       "i" (offsetof (struct pthread, member)));	      \
      else								      \
        {								      \
@@ -269,7 +269,7 @@ typedef struct
 	   abort ();							      \
 									      \
 	 asm volatile ("movq %q0,%%fs:%P1" :				      \
-		       : IMM_MODE ((unsigned long int) value),		      \
+		       : "er" ((unsigned long int) value),		      \
 			 "i" (offsetof (struct pthread, member)));	      \
        }})
 
